Commit 3d1aea48 authored by Léo Gourdin's avatar Léo Gourdin
Browse files

CI 11.2

parent f0a21880
......@@ -3,7 +3,7 @@ stages:
check-admitted:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- eval `opam config env`
- opam update
......@@ -22,7 +22,7 @@ check-admitted:
build_x86_64:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- eval `opam config env`
- opam update
......@@ -43,7 +43,7 @@ build_x86_64:
build_ia32:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-multilib
......@@ -66,7 +66,7 @@ build_ia32:
build_aarch64:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-aarch64-linux-gnu qemu-user
......@@ -89,7 +89,7 @@ build_aarch64:
build_arm:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-arm-linux-gnueabi qemu-user
......@@ -113,7 +113,7 @@ build_arm:
build_armhf:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-arm-linux-gnueabihf qemu-user
......@@ -136,7 +136,7 @@ build_armhf:
build_ppc:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-powerpc-linux-gnu qemu-user
......@@ -157,7 +157,7 @@ build_ppc:
build_ppc64:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-powerpc64-linux-gnu
......@@ -178,7 +178,7 @@ build_ppc64:
build_rv64:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-riscv64-linux-gnu qemu-user
......@@ -201,7 +201,7 @@ build_rv64:
build_rv32:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install gcc-riscv64-linux-gnu qemu-user
......@@ -222,7 +222,7 @@ build_rv32:
build_kvx:
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install sshpass openssh-client libzip4 lttng-tools liblttng-ctl-dev liblttng-ust-dev babeltrace
......@@ -249,7 +249,7 @@ build_kvx:
pages: # TODO: change to "deploy" when "build" succeeds (or integrate with "build_kvx" above ?)
stage: build
image: coqorg/coq:8.11.2-ocaml-4.09.1-flambda
image: coqorg/coq:8.11.2-ocaml-4.11.1-flambda
before_script:
- sudo apt-get -o Acquire::Check-Valid-Until=false -o Acquire::Check-Date=false update
- sudo apt-get -y install sshpass openssh-client libzip4 lttng-tools liblttng-ctl-dev liblttng-ust-dev babeltrace
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment